Package com.arms.egovframework.javaservice.treeframework.dao

## Class TreeAbstractDao<T extends TreeSearchEntity,​ID extends java.io.Serializable>

- java.lang.Object
- - org.springframework.dao.support.DaoSupport
  - - org.springframework.orm.hibernate5.support.HibernateDaoSupport
    - - com.arms.egovframework.javaservice.treeframework.dao.TreeAbstractDao<T,​ID>

- All Implemented Interfaces:
    `org.springframework.beans.factory.InitializingBean`
  Direct Known Subclasses:
    `TreeDaoImpl`

      public abstract class TreeAbstractDao<T extends TreeSearchEntity,​ID extends java.io.Serializable>
      extends org.springframework.orm.hibernate5.support.HibernateDaoSupport

- - ### Field Summary

    - ### Fields inherited from class org.springframework.dao.support.DaoSupport

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TreeAbstractDao()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `bulkInsert​(java.util.Collection<T> entities)` |
    `int` | `bulkUpdate​(java.lang.String queryString, java.lang.Object... value)` |
    `org.hibernate.criterion.DetachedCriteria` | `createDetachedCriteria()` |
    `org.hibernate.criterion.DetachedCriteria` | `createDetachedCriteria​(java.lang.Class<?> clazz)` |
    `void` | `delete​(T treeSearchEntity)` |
    `void` | `deleteAll​(java.util.Collection<T> entities)` |
    `void` | `deleteById​(ID id)` |
    `T` | `excute​(org.springframework.orm.hibernate5.HibernateCallback<T> callback)` |
    `T` | `find​(ID id, org.hibernate.LockMode lockMode)` |
    `T` | `find​(ID id, org.hibernate.LockMode lockMode, boolean enableCache)` |
    `T` | `getByID​(ID id)` |
    `int` | `getCount​(java.util.List<org.hibernate.criterion.Criterion> criterions)` |
    `int` | `getCount​(org.hibernate.criterion.Criterion... criterions)` |
    `int` | `getCount​(T treeSearchEntity)` |
    `org.hibernate.Session` | `getCurrentSession()` | Retrieves the current Hibernate Session.
    `protected abstract java.lang.Class<T>` | `getEntityClass()` |
    `int` | `getGroupByCount​(T treeSearchEntity, java.lang.String tagert)` |
    `java.util.List<T>` | `getGroupByList​(T treeSearchEntity, java.lang.String target)` |
    `java.util.Map<java.lang.String,​java.lang.Long>` | `getGroupByList​(T treeSearchEntity, java.lang.String groupProperty, java.lang.String sumProperty)` |
    `java.util.List<T>` | `getList()` |
    `java.util.List<T>` | `getList​(java.util.List<org.hibernate.criterion.Criterion> criterions, java.util.List<org.hibernate.criterion.Order> orders)` |
    `java.util.List<T>` | `getList​(org.hibernate.criterion.Criterion... criterions)` |
    `java.util.List<T>` | `getList​(org.hibernate.criterion.DetachedCriteria detachedCriteria, int limit, int offset)` |
    `java.util.List<T>` | `getList​(T treeSearchEntity)` |
    `java.util.List<T>` | `getList​(T treeSearchEntity, org.hibernate.criterion.Criterion... criterion)` |
    `java.util.List<T>` | `getListWithoutPaging​(org.hibernate.criterion.DetachedCriteria detachedCriteria)` |
    `java.util.List<T>` | `getListWithoutPaging​(org.hibernate.criterion.Order order)` |
    `java.util.List<T>` | `getListWithoutPaging​(org.hibernate.criterion.Order order, org.hibernate.criterion.Criterion... criterion)` |
    `java.util.List<T>` | `getListWithoutPaging​(T treeSearchEntity)` |
    `java.util.List<T>` | `getPaginatedList​(T treeSearchEntity)` |
    `int` | `getSum​(java.util.List<org.hibernate.criterion.Criterion> criterions, java.lang.String propertyName)` |
    `int` | `getSum​(T treeSearchEntity, java.lang.String propertyName)` |
    `T` | `getUnique​(java.lang.Long id)` |
    `T` | `getUnique​(java.util.List<org.hibernate.criterion.Criterion> criterion)` |
    `T` | `getUnique​(org.hibernate.criterion.Criterion criterion)` |
    `T` | `getUnique​(org.hibernate.criterion.Criterion... criterions)` |
    `T` | `getUnique​(T treeSearchEntity)` |
    `void` | `init​(org.hibernate.SessionFactory sessionFactory)` |
    `ID` | `insert​(T entity)` |
    `void` | `merge​(T treeSearchEntity)` |
    `void` | `refresh​(java.lang.Object entity)` |
    `java.util.List` | `search​(java.util.Map<java.lang.String,​java.lang.Object> parameterMap)` |
    `ID` | `store​(T newInstance)` |
    `void` | `storeOrUpdate​(T newInstance)` |
    `void` | `update​(T treeSearchEntity)` |

    - ### Methods inherited from class org.springframework.orm.hibernate5.support.HibernateDaoSupport

      `checkDaoConfig, createHibernateTemplate, currentSession, getHibernateTemplate, getSessionFactory, setHibernateTemplate, setSessionFactory`

    - ### Methods inherited from class org.springframework.dao.support.DaoSupport

      `afterPropertiesSet, initDao`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TreeAbstractDao

          public TreeAbstractDao()

  - ### Method Detail

    - #### init

          public void init​(org.hibernate.SessionFactory sessionFactory)

    - #### getEntityClass

          protected abstract java.lang.Class<T> getEntityClass()

    - #### getCurrentSession

          public org.hibernate.Session getCurrentSession()

      Retrieves the current Hibernate Session.
      Returns:
        The current Hibernate Session.
      Throws:
        `TreeDaoException` - If the Hibernate Template, SessionFactory, or Session is null.

    - #### createDetachedCriteria

          public org.hibernate.criterion.DetachedCriteria createDetachedCriteria​(java.lang.Class<?> clazz)

    - #### createDetachedCriteria

          public org.hibernate.criterion.DetachedCriteria createDetachedCriteria()

    - #### getUnique

          public T getUnique​(java.lang.Long id)

    - #### getUnique

          public T getUnique​(org.hibernate.criterion.Criterion criterion)

    - #### getUnique

          public T getUnique​(T treeSearchEntity)

    - #### getUnique

          public T getUnique​(org.hibernate.criterion.Criterion... criterions)

    - #### getUnique

          public T getUnique​(java.util.List<org.hibernate.criterion.Criterion> criterion)

    - #### getList

          public java.util.List<T> getList()

    - #### getList

          public java.util.List<T> getList​(org.hibernate.criterion.DetachedCriteria detachedCriteria,
                                           int limit,
                                           int offset)

    - #### getList

          public java.util.List<T> getList​(T treeSearchEntity)

    - #### getPaginatedList

          public java.util.List<T> getPaginatedList​(T treeSearchEntity)

    - #### getList

          public java.util.List<T> getList​(T treeSearchEntity,
                                           org.hibernate.criterion.Criterion... criterion)

    - #### getList

          public java.util.List<T> getList​(org.hibernate.criterion.Criterion... criterions)

    - #### getList

          public java.util.List<T> getList​(java.util.List<org.hibernate.criterion.Criterion> criterions,
                                           java.util.List<org.hibernate.criterion.Order> orders)

    - #### getGroupByList

          public java.util.List<T> getGroupByList​(T treeSearchEntity,
                                                  java.lang.String target)

    - #### getGroupByList

          public java.util.Map<java.lang.String,​java.lang.Long> getGroupByList​(T treeSearchEntity,
                                                                                     java.lang.String groupProperty,
                                                                                     java.lang.String sumProperty)

    - #### getGroupByCount

          public int getGroupByCount​(T treeSearchEntity,
                                     java.lang.String tagert)

    - #### getListWithoutPaging

          public java.util.List<T> getListWithoutPaging​(org.hibernate.criterion.Order order)

    - #### getListWithoutPaging

          public java.util.List<T> getListWithoutPaging​(T treeSearchEntity)

    - #### getListWithoutPaging

          public java.util.List<T> getListWithoutPaging​(org.hibernate.criterion.Order order,
                                                        org.hibernate.criterion.Criterion... criterion)

    - #### getListWithoutPaging

          public java.util.List<T> getListWithoutPaging​(org.hibernate.criterion.DetachedCriteria detachedCriteria)

    - #### getCount

          public int getCount​(org.hibernate.criterion.Criterion... criterions)

    - #### getCount

          public int getCount​(T treeSearchEntity)

    - #### getCount

          public int getCount​(java.util.List<org.hibernate.criterion.Criterion> criterions)

    - #### getSum

          public int getSum​(java.util.List<org.hibernate.criterion.Criterion> criterions,
                            java.lang.String propertyName)

    - #### getSum

          public int getSum​(T treeSearchEntity,
                            java.lang.String propertyName)

    - #### find

          public T find​(ID id,
                        org.hibernate.LockMode lockMode)

    - #### find

          public T find​(ID id,
                        org.hibernate.LockMode lockMode,
                        boolean enableCache)

    - #### refresh

          public void refresh​(java.lang.Object entity)

    - #### store

          public ID store​(T newInstance)

    - #### storeOrUpdate

          public void storeOrUpdate​(T newInstance)

    - #### update

          public void update​(T treeSearchEntity)

    - #### merge

          public void merge​(T treeSearchEntity)

    - #### bulkUpdate

          public int bulkUpdate​(java.lang.String queryString,
                                java.lang.Object... value)

    - #### delete

          public void delete​(T treeSearchEntity)

    - #### deleteAll

          public void deleteAll​(java.util.Collection<T> entities)

    - #### bulkInsert

          public void bulkInsert​(java.util.Collection<T> entities)

    - #### excute

          public T excute​(org.springframework.orm.hibernate5.HibernateCallback<T> callback)

    - #### getByID

          public T getByID​(ID id)

    - #### search

          public java.util.List search​(java.util.Map<java.lang.String,​java.lang.Object> parameterMap)

    - #### insert

          public ID insert​(T entity)

    - #### deleteById

          public void deleteById​(ID id)